## org.apache.hadoop.mapred
Class DefaultJobHistoryParser

    java.lang.Object
      org.apache.hadoop.mapred.DefaultJobHistoryParser

    public class DefaultJobHistoryParser

extends Object

Default parser for job history files. It creates object model from job history file.

Constructor Summary
`DefaultJobHistoryParser()`

Method Summary
`static void` `parseJobTasks(String jobHistoryFile, JobHistory.JobInfo job, FileSystem fs)` Populates a JobInfo object from the job's history log file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultJobHistoryParser

    public DefaultJobHistoryParser()

Method Detail

### parseJobTasks

    public static void parseJobTasks(String jobHistoryFile,
                                     JobHistory.JobInfo job,
                                     FileSystem fs)
                              throws IOException

  Populates a JobInfo object from the job's history log file.

  Parameters:
    `jobHistoryFile` - history file for this job.
    `job` - a precreated JobInfo object, should be non-null.
    `fs` - FileSystem where historyFile is present.
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation